;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞ １３年前は使っていたが、m24.cは使わない
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2というデータ
;　がはいっているということです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m24 test.mno （リターン）と打ってください。
;　$ ./m24 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;
; *S *R *K *L *D のコマンドは今は使っていません
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：２．７秒  	; bmmのエディターは、
;*Y10			             ;
;*T10			             ;　０〜９の数字を扱い、
;;		                ;　数字と数字の区切りは、「.」か「,」
;*y001 2,2,2	      ;　BSでバックスペース、DELで文字削除
;*y002 3,1,1	    ;　1*6で1.1.1.1.1.1 (１を６回繰り返す)　
;*y003 8	       ;　2*4で2.2.2.2 (２を４回繰り返す)
;*y004 1,3	    ;　方向キーでカーソル移動
;*y005 2,1,1	  ;　SHIFT+方向キー、CTRL+方向キーでもカーソル移動
;*y006 2,1	    ;　CTRL+W　保存せずに終了
;*y007 5	      ;　CTRL+X　保存して終了
;*y008 3	      ;　CTRL+V　保存してエディターはそのまま
;*y009 6	      ;　CTRL+D　行削除
;*y010 6	      ;　CTRL+I　行挿入
;;		           ;　CTRL+C　行コピー
;*t001 1,2	    ;　CTRL+P　行ペースト
;*t002 2,2	    ;　ーキーでカーソル上へ
;*t003 3,1	    ;　＋キーでカーソル下へ
;*t004 3,1,1	  ;　CTRL+T　*T25 *Y25などを*T30 *Y35にサイズ変更、TとYのあとの数字を書き換えてCTRL+Tを実行する
;*t005 1,1,4	  ;　ファンクションF2:"black="黒  F3:"red="赤 
;*t006 2,4	    ;　F4:"green="緑　F5:"blue="青　F6:"yellow="黄色
;*t007 8	      ;　F7:"violet="紫 F8:"water="水色 F9:"orange="橙
;*t008 4,2	    ;　SHIFT+F2:"brown="茶色　SFT+F3:"pink="桃色
;*t009 1,1,2	  ;　SFT+F4:"hada="肌色　SFT+F5:"kimi="黄緑
;*t010 2,2	    ;　SFT+F6:"oudo="黄土色 SFT+F7:"kon="紺色
;;		           ;　SFT+F9:"hai="灰色
;
;　カラーのときは(test.clなど)
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;
;
;  ↓ここから本番です
;
*M ルフィ・エース・サボが杯を交わす
*Y55
*T85
*S3
*D5
;
;
*y001 green=2.5.black=5.blue=1.black=2.2.blue=3.black=2.2.blue=3.black=3.blue=1.black=2.green=5.3
*y002 green=7.8.black=4.blue=1.black=1.2.blue=4.black=1.1.blue=4.black=1.blue=3.black=1.green=1.10.6
*y003 green=22.black=3.blue=2.black=1.1.blue=4.black=1.1.blue=3.black=1.blue=3.black=1.green=26
*y004 green=24.black=2.blue=1.black=1.1.blue=3.black=1.2.blue=3.black=1.blue=1.black=1.green=27
*y005 green=24.black=2.blue=1.black=1.2.blue=3.black=2.2.blue=2.black=3.4.green=25
*y006 green=5.6.8.black=1.blue=1.black=1.2.blue=2.black=25.green=21
*y007 green=4.black=1.10.green=5.black=1.blue=2.black=2.29.4.green=4.11
*y008 green=3.black=2.12.green=3.black=2.blue=1.black=31.1.2.green=2.black=3.green=7
*y009 green=1.black=18.19.hada=4.black=11.4.5.green=3
*y010 black=23.10.hada=3.black=4.hada=6.black=2.hada=2.black=9.10.6.2.green=1
*y011 black=23.9.hada=13.black=2.hada=3.black=1.yellow=2.black=7.17.2.green=1
*y012 black=1.12.hada=1.black=10.4.hada=2.black=2.hada=10.black=5.hada=2.black=2.yellow=3.black=3.21
*y013 black=13.hada=2.black=11.yellow=1.black=1.hada=3.black=5.hada=6.black=2.2.hada=2.black=1.yellow=4.black=1.25
*y014 black=14.hada=2.black=12.hada=3.black=2.3.hada=3.black=2.1.hada=2.black=2.yellow=3.black=8.hada=1.black=4.hada=2.black=11
*y015 black=8.hada=1.black=4.hada=4.black=12.hada=2.black=1.1.hada=5.black=1.2.1.hada=3.black=1.yellow=2.black=8.hada=2.black=1.hada=1.black=1.hada=4.black=11
*y016 black=8.hada=2.black=3.hada=4.black=3.hada=1.black=6.1.hada=2.black=1.2.1.hada=5.black=1.2.1.hada=3.black=1.yellow=1.black=9.hada=10.black=10
*y017 black=7.hada=3.black=3.hada=5.black=2.hada=2.black=6.1.hada=2.black=1.2.1.hada=1.black=1.hada=3.black=2.1.hada=4.black=10.hada=11.black=10
*y018 black=7.hada=4.black=1.hada=6.black=2.hada=2.black=2.hada=1.black=3.2.hada=1.black=2.1.hada=1.black=2.hada=4.black=4.hada=3.yellow=1.black=11.hada=11.black=10
*y019 black=6.hada=5.black=1.hada=6.black=2.hada=2.black=2.hada=2.black=3.1.hada=2.black=4.hada=2.black=1.hada=12.yellow=2.black=9.hada=11.black=10
*y020 black=6.hada=13.black=1.hada=3.black=1.hada=2.black=3.1.hada=9.black=13.yellow=1.black=8.hada=11.black=10
*y021 black=3.hada=1.black=2.hada=2.black=3.hada=8.black=1.hada=3.black=2.hada=1.black=4.hada=3.black=7.3.1.yellow=2.black=8.hada=12.black=10
*y022 black=3.hada=1.black=2.hada=4.black=3.hada=8.black=4.hada=1.black=4.hada=2.black=3.5.2.hada=1.yellow=1.black=8.hada=13.black=9
*y023 black=3.hada=1.black=2.hada=1.black=7.hada=6.black=2.hada=2.black=1.hada=2.black=3.1.hada=1.black=3.15.hada=2.black=8.hada=11.black=12
*y024 black=3.hada=2.black=3.2.hada=5.black=6.hada=2.black=1.1.1.hada=2.black=7.red=5.black=3.hada=3.black=10.hada=7.black=3.hada=3.black=8
*y025 black=3.hada=2.black=2.1.hada=4.black=3.2.hada=1.black=2.3.hada=2.black=4.red=5.hada=3.black=8.hada=2.black=2.hada=5.black=15
*y026 black=3.hada=3.black=1.2.hada=5.black=1.1.hada=1.black=2.4.hada=2.black=2.6.hada=1.black=4.3.hada=1.black=5.hada=5.black=2.8
*y027 black=1.hada=1.black=1.hada=3.black=2.hada=4.black=1.hada=1.black=2.hada=2.black=4.3.hada=2.black=8.hada=4.black=2.5.1.hada=5.black=2.2.1.hada=1.black=4
*y028 black=1.hada=5.black=2.hada=2.yellow=2.black=2.2.hada=2.black=3.4.red=5.black=1.hada=1.black=3.hada=2.black=1.5.2.1.hada=5.black=2.2.hada=2.black=4
*y029 black=1.hada=6.black=5.hada=2.yellow=2.hada=1.black=3.1.hada=1.yellow=1.black=2.2.red=4.black=3.hada=4.black=2.5.2.2.hada=5.black=1.2.hada=2.black=5
*y030 black=1.hada=13.yellow=3.hada=1.black=1.yellow=1.black=5.yellow=1.black=3.5.3.red=3.black=1.hada=1.black=3.hada=2.black=8.3.hada=7.black=3.hada=2.black=1.hada=1.black=5
*y031 black=2.hada=19.yellow=1.2.black=2.4.blue=2.black=4.2.3.hada=2.black=1.hada=2.black=1.blue=1.black=9.hada=1.black=3.hada=8.black=1.hada=3.black=1.hada=1.black=3
*y032 black=2.hada=3.black=19.hada=2.black=4.1.blue=4.black=2.4.4.hada=2.black=1.blue=2.black=3.hada=1.black=1.hada=3.black=1.hada=3.black=12.hada=2.black=3
*y033 hada=1.black=1.hada=3.black=1.1.hada=2.black=2.2.blue=1.black=1.blue=1.black=2.1.1.4.blue=3.black=4.hada=1.black=1.hada=1.black=6.3.hada=1.black=2.hada=1
*y034 hada=2.black=1.hada=2.black=19.hada=2.black=1.1.blue=2.black=1.blue=1.black=4.2.2.2.blue=6.black=1.2.hada=2.black=2.2.hada=1.black=1.hada=2
*y035 hada=2.black=1.hada=2.black=5.red=8.black=6.hada=1.black=2.1.blue=2.black=1.blue=5.black=1.1.3.blue=3.black=2.3.hada=2.black=1.15.hada=1.black=1.hada=1.black=1
*y036 black=3.hada=3.black=2.red=10.black=2.hada=2.black=1.12.blue=4.black=3.blue=1.black=1.hada=2.black=8.red=6.black=4.hada=3.black=2
*y037 yellow=1.black=3.hada=3.black=2.red=6.black=2.hada=2.black=2.1.red=9.black=1.hada=1.black=1.9.blue=3.black=2.blue=2.black=2.hada=1.black=6.red=9.black=3.hada=3.black=1.hada=1
*y038 yellow=2.black=3.hada=3.black=2.2.hada=3.black=2.2.red=7.black=6.hada=1.black=2.red=4.black=4.blue=3.black=3.hada=2.black=4.red=10.black=2.hada=4.black=2
*y039 yellow=3.black=3.hada=3.black=4.3.hada=3.black=4.2.red=6.black=1.hada=2.black=5.red=8.black=1.blue=1.black=6.hada=2.black=2.red=6.black=2.hada=4.black=3
*y040 yellow=4.black=3.hada=5.black=6.hada=3.black=3.yellow=2.black=2.4.6.hada=2.black=1.red=7.black=2.blue=2.black=2.2.hada=2.black=2.2.hada=4.black=4
*y041 yellow=3.black=2.yellow=1.black=5.hada=7.black=4.yellow=4.black=2.1.hada=1.black=5.hada=3.black=6.red=4.black=3.blue=4.black=2.2.hada=2.black=3.3.hada=3.black=5
*y042 yellow=2.black=3.yellow=2.black=2.hada=1.black=9.yellow=1.black=3.yellow=4.black=1.2.hada=2.black=4.hada=1.black=3.hada=3.black=1.3.blue=5.black=2.3.hada=2.black=6.hada=3.black=7
*y043 yellow=2.black=2.yellow=2.black=3.hada=7.black=2.yellow=3.black=2.yellow=4.black=2.3.hada=1.black=1.hada=3.black=4.hada=1.black=7.hada=1.black=1.blue=6.black=1.3.hada=7.black=6.1
*y044 yellow=1.black=3.yellow=1.black=3.hada=8.black=3.yellow=2.black=2.yellow=4.black=2.1.hada=4.black=3.2.hada=3.black=2.hada=2.black=2.blue=6.black=2.9.hada=3.black=2
*y045 yellow=1.black=7.hada=9.black=6.yellow=5.black=1.green=2.black=2.hada=3.black=3.2.2.hada=5.black=2.blue=1.black=1.blue=5.black=2.green=5.black=2.hada=8.black=1
*y046 yellow=1.black=4.blue=2.black=2.hada=8.black=1.blue=1.black=2.hada=1.black=2.yellow=4.black=2.green=1.black=1.hada=3.black=12.hada=2.black=6.blue=5.black=1.green=7.black=3.hada=8.black=2.green=4
*y047 yellow=1.black=2.hada=1.black=2.blue=2.black=4.hada=4.black=2.blue=2.black=1.hada=2.black=2.yellow=3.black=4.hada=3.black=11.hada=3.black=7.blue=4.black=2.green=1.black=8.hada=8.black=4.green=2
*y048 black=2.hada=2.black=2.blue=4.black=7.blue=3.black=2.hada=2.black=2.yellow=2.black=3.hada=4.black=1.2.hada=2.black=9.blue=2.black=4.hada=1.black=2.red=2.black=2.hada=9.black=5
*y049 black=1.hada=4.black=1.blue=14.black=2.hada=3.black=2.yellow=1.black=3.hada=3.black=2.yellow=7.black=2.hada=3.black=1.7.hada=2.black=2.red=2.black=2.hada=9.black=2.red=2.black=2
*y050 black=1.hada=4.black=1.blue=15.black=1.hada=3.black=2.yellow=1.black=2.hada=4.black=1.yellow=11.black=1.hada=3.black=1.yellow=2.black=4.hada=3.black=1.red=2.black=3.hada=8.black=2.red=3.black=1
*y051 hada=5.black=1.blue=15.black=1.hada=3.black=4.hada=3.black=2.yellow=3.2.black=1.hada=3.black=2.yellow=4.black=2.hada=3.black=2.red=2.black=2.hada=8.black=2.red=4.black=1
*y052 hada=4.black=2.blue=2.2.3.black=1.1.hada=3.black=2.hada=4.black=2.yellow=4.black=2.hada=3.black=1.yellow=4.black=2.hada=2.black=1.red=2.black=2.hada=5.black=7.red=3.black=2
*y053 hada=3.black=1.blue=3.1.2.black=3.hada=3.black=1.hada=5.black=1.yellow=7.black=2.hada=3.black=2.yellow=2.black=2.hada=2.black=2.red=2.black=4.hada=2.black=2.3.red=3.black=3
*y054 hada=3.black=1.blue=3.4.1.2.black=3.hada=8.black=2.yellow=4.2.black=1.hada=4.black=1.2.hada=1.black=1.2.red=2.black=2.hada=5.black=3.red=5.black=2.hada=1
*y055 hada=2.black=2.blue=3.2.6.black=3.hada=7.black=1.yellow=2.4.black=1.hada=4.black=2.2.hada=2.black=3.red=4.black=9.red=5.black=2.hada=2
;
*t001 green=7.black=2.19.hada=3.black=1.yellow=11.black=3.hada=5
*t002 green=7.black=2.14.hada=4.black=3.hada=2.black=2.yellow=6.black=5.hada=7
*t003 green=7.black=18.hada=6.black=5.yellow=3.black=6.hada=7
*t004 green=7.black=11.hada=16.black=3.yellow=1.black=6.hada=6.black=1
*t005 green=6.black=16.hada=14.black=5.yellow=2.black=4.hada=3.black=4
*t006 green=4.black=19.hada=6.black=4.hada=3.black=2.yellow=3.black=2.blue=1.black=6.blue=3
*t007 green=4.black=10.hada=5.black=3.1.hada=3.black=1.3.hada=3.black=2.yellow=1.black=3.blue=10
*t008 green=5.black=9.hada=6.black=2.2.hada=2.black=1.4.hada=3.black=6.blue=9
*t009 green=4.black=7.hada=6.black=1.hada=1.black=1.1.hada=2.black=1.2.2.hada=2.black=3.hada=2.black=2.blue=4
*t010 green=4.black=8.hada=5.black=1.hada=1.black=1.1.hada=2.black=1.2.red=1.black=2.hada=1.black=1.hada=5.black=1.blue=4
*t011 green=4.black=11.hada=3.black=3.2.1.hada=2.black=1.1.red=2.black=1.hada=1.black=2.hada=4.black=2.blue=3.1
*t012 green=4.black=13.hada=2.black=2.2.1.hada=2.black=1.1.red=3.black=1.hada=2.black=1.hada=4.black=2.blue=3.1
*t013 green=5.black=11.hada=4.black=3.hada=3.black=1.1.red=3.black=2.hada=1.black=1.hada=5.black=1.blue=3.2
*t014 green=4.black=8.hada=8.black=3.hada=5.black=1.1.red=3.black=1.hada=1.black=1.hada=5.black=1.blue=7
*t015 green=5.black=5.hada=17.yellow=2.hada=1.black=1.1.red=3.black=1.hada=1.black=1.hada=5.black=1.blue=4
*t016 green=5.black=6.hada=15.yellow=3.hada=1.black=1.1.red=3.black=1.hada=1.black=1.hada=5.black=1.blue=3
*t017 green=5.black=8.hada=13.yellow=1.1.hada=1.black=1.1.red=3.black=1.hada=1.black=3.hada=2.black=2.blue=3.2
*t018 green=6.black=10.hada=10.black=2.hada=3.black=1.1.red=2.black=2.hada=1.black=6.blue=4.1
*t019 green=6.black=13.hada=5.black=1.hada=2.black=3.hada=1.black=1.2.red=1.black=1.hada=1.black=2.yellow=1.black=2.blue=7.1
*t020 green=5.black=1.13.hada=2.black=3.1.yellow=1.hada=1.black=1.2.2.hada=1.black=1.yellow=3.black=2.blue=9
*t021 green=5.black=7.hada=7.black=3.2.hada=1.black=1.2.2.hada=2.black=2.yellow=2.black=5.blue=6
*t022 green=5.black=8.hada=5.black=3.1.1.4.hada=2.black=6.hada=2.black=7.blue=1
*t023 black=1.green=5.black=10.hada=2.black=1.hada=1.black=1.2.1.yellow=1.black=1.3.hada=3.black=1.yellow=1.black=5.hada=4.black=3
*t024 black=3.green=5.black=1.11.hada=1.black=1.2.1.4.hada=3.black=2.yellow=5.black=2.hada=4.black=4
*t025 black=5.green=3.black=6.hada=3.black=5.2.yellow=1.hada=5.black=3.yellow=7.black=2.hada=6.black=1
*t026 black=8.2.6.hada=6.black=2.hada=3.yellow=2.hada=3.black=5.yellow=8.black=3.hada=5
*t027 black=2.blue=1.3.black=4.10.hada=6.yellow=1.black=6.3.yellow=7.black=3.hada=4
*t028 blue=4.2.black=4.2.17.5.yellow=6.black=3.hada=2
*t029 black=5.4.yellow=1.black=1.5.6.1.10.hada=3
*t030 black=1.8.hada=1.black=3.4.2.2.3.green=1.black=6.hada=4
*t031 black=4.6.hada=5.black=3.3.1.4.red=1.black=3.green=2.black=3.hada=6
*t032 black=2.2.4.hada=11.black=4.4.blue=2.black=1.red=2.black=5.3.hada=8
*t033 black=1.6.hada=2.black=5.hada=6.black=2.2.blue=4.black=1.red=3.black=1.hada=1.black=4.hada=8.black=2
*t034 black=8.2.hada=2.black=2.hada=2.black=2.1.blue=2.black=4.red=3.black=2.hada=1.black=1.hada=7.black=4.yellow=1
*t035 black=4.hada=1.black=2.1.hada=1.black=4.hada=2.black=1.1.blue=5.black=1.red=3.black=1.hada=7.black=4.yellow=1
*t036 blue=3.black=3.hada=3.black=1.2.1.hada=1.black=5.hada=1.black=2.2.blue=1.black=2.blue=1.black=1.red=3.black=3.hada=2.black=4.yellow=2
*t037 blue=6.black=3.hada=3.black=1.2.1.hada=1.black=1.3.hada=1.black=1.4.blue=1.black=1.red=3.black=2.hada=2.black=3.yellow=2.1
*t038 blue=6.black=3.hada=3.black=2.1.hada=2.black=1.4.hada=1.black=1.2.1.blue=1.black=1.red=3.black=3.hada=1.black=4.yellow=3.2
*t039 blue=4.black=4.hada=3.black=4.hada=3.black=1.3.3.1.1.blue=1.black=1.red=1.black=3.hada=1.black=1.hada=1.black=4.yellow=2.3
*t040 black=1.5.hada=3.black=1.hada=3.black=2.hada=1.black=1.2.1.red=1.black=2.3.hada=1.black=1.hada=2.black=2.2.yellow=2.3
*t041 black=10.hada=6.black=2.hada=1.black=2.2.red=1.black=1.red=2.black=1.1.hada=1.black=1.hada=1.black=1.hada=1.black=2.3.yellow=2.3
*t042 black=6.hada=9.black=1.1.red=2.black=1.red=2.black=2.2.7.3.yellow=2.2.1
*t043 black=4.4.hada=10.black=1.1.red=2.black=1.red=3.black=2.2.7.2.yellow=2.1.1
*t044 black=1.6.hada=4.black=1.hada=5.black=1.2.red=2.black=1.red=3.black=1.3.hada=1.black=1.hada=2.black=4.yellow=2.1
*t045 black=5.hada=3.black=5.hada=2.black=4.red=2.black=3.red=1.black=1.1.hada=1.black=1.hada=1.black=1.hada=1.black=1.hada=1.black=3.yellow=2.2
*t046 black=3.hada=3.black=2.2.hada=1.black=4.red=1.black=2.hada=1.black=4.2.5.hada=1.black=1.hada=2.black=4.yellow=2.1
*t047 black=3.hada=3.black=1.2.1.hada=1.black=4.1.hada=1.black=2.hada=1.black=1.2.2.red=2.black=3.hada=2.black=1.hada=1.black=6
*t048 blue=2.black=3.hada=2.black=2.2.1.hada=1.black=1.2.1.hada=1.black=1.hada=1.black=3.1.red=4.black=2.hada=7.black=4
*t049 blue=5.black=3.hada=1.black=3.1.hada=1.black=1.2.1.hada=1.black=1.hada=1.black=1.hada=1.black=1.2.1.red=4.black=2.hada=11
*t050 blue=5.black=5.hada=1.black=2.1.hada=2.black=1.2.1.hada=3.black=1.hada=1.black=4.1.red=4.black=1.hada=2.black=3.hada=7
*t051 blue=3.black=4.hada=3.black=4.hada=3.black=1.2.hada=1.black=2.hada=3.black=3.blue=1.black=1.1.red=4.black=2.hada=1.black=7.hada=4
*t052 black=1.5.hada=10.black=1.2.hada=3.black=3.hada=3.black=1.blue=3.black=2.red=2.black=2.hada=1.black=5.yellow=1.black=3.hada=2
*t053 black=12.hada=5.yellow=2.black=3.hada=3.black=1.2.hada=2.black=1.blue=4.black=1.red=2.black=4.blue=1.black=3.yellow=2.black=3
*t054 black=1.6.yellow=1.black=3.hada=3.black=1.yellow=3.hada=3.black=2.3.blue=5.black=1.red=1.black=2.blue=3.black=4.yellow=3.black=1
*t055 blue=2.black=5.yellow=3.black=5.yellow=2.black=4.2.blue=4.black=1.blue=2.black=3.blue=5.black=3.yellow=3
*t056 blue=4.black=6.yellow=5.black=3.6.4.blue=3.black=3.blue=9.black=3.yellow=2
*t057 black=1.blue=2.black=7.yellow=4.black=10.8.2.blue=1.black=1.blue=8.black=2.yellow=1.black=1
*t058 black=12.yellow=2.black=19.2.blue=2.black=2.blue=7.black=3.3
*t059 green=3.black=31.blue=2.black=5.blue=6.black=6.hada=1
*t060 green=2.black=8.15.2.hada=1.black=7.5.blue=3.black=4.hada=3
*t061 green=3.black=2.2.13.hada=1.black=1.2.hada=4.black=3.7.hada=3.black=2
*t062 green=3.black=1.2.1.12.hada=1.black=1.2.1.hada=1.black=1.hada=5.black=2.green=1.black=3.hada=3.black=1
*t063 green=3.black=2.2.11.hada=1.black=1.hada=1.black=1.2.1.hada=2.black=4.hada=2.black=2.green=3.black=1.hada=3.black=3
*t064 green=4.black=2.12.hada=3.black=3.2.hada=1.black=2.3.hada=2.black=2.green=2.black=2.hada=2.black=4.red=1
*t065 green=5.black=1.8.hada=8.black=3.1.hada=1.black=2.4.hada=2.black=1.green=2.black=1.hada=1.black=3.red=4
*t066 green=6.black=2.5.hada=11.black=1.hada=1.black=3.hada=1.black=1.5.hada=1.black=2.green=2.black=3.red=6
*t067 green=7.black=1.4.hada=14.black=2.hada=1.black=1.hada=1.black=1.4.2.hada=1.black=1.green=2.black=2.red=3.black=3.red=1
*t068 green=8.black=6.hada=15.black=1.hada=1.black=1.3.red=2.black=1.hada=1.black=2.green=1.black=1.red=2.black=6
*t069 green=8.black=5.hada=17.black=2.2.red=3.black=2.hada=1.black=1.2.red=1.black=3.hada=1.black=1.hada=1.black=1
*t070 green=7.black=6.hada=16.black=1.2.red=3.black=1.hada=1.black=7.hada=2.black=1.hada=1.black=1
*t071 green=5.black=5.hada=10.black=1.hada=1.black=1.hada=4.black=1.1.red=4.black=1.hada=1.black=5.hada=6.black=1
*t072 green=5.black=1.4.hada=10.black=4.hada=4.black=1.1.red=4.black=1.hada=1.black=1.hada=10.black=1
*t073 green=5.black=2.3.hada=10.black=3.1.hada=2.black=1.1.red=4.black=1.hada=1.black=1.hada=8.black=1.hada=1.black=1
*t074 green=4.black=7.hada=8.black=3.2.1.hada=1.black=1.1.red=3.black=2.hada=1.black=1.hada=7.black=2.1
*t075 green=5.black=7.hada=7.black=1.hada=1.black=1.2.1.hada=1.black=1.1.red=3.black=1.hada=2.black=1.hada=7.black=1.2
*t076 green=5.black=13.hada=1.black=1.hada=1.black=1.1.hada=1.black=1.1.red=3.black=2.hada=1.black=2.hada=7.black=1.2
*t077 green=6.black=15.hada=1.black=1.1.hada=1.black=2.2.red=2.black=2.hada=2.black=1.hada=8.black=3.red=1
*t078 green=7.black=17.2.hada=2.black=1.5.hada=2.black=2.hada=7.black=2.red=2
*t079 green=8.black=17.1.hada=1.black=1.hada=1.black=2.4.hada=3.black=2.hada=6.black=3.red=2
*t080 green=8.black=17.hada=4.black=6.hada=3.black=7.hada=1.black=4.red=3
*t081 green=7.black=1.15.hada=2.black=3.hada=1.black=3.hada=5.black=4.5.red=5
*t082 green=7.black=21.hada=9.black=3.green=1.black=2.red=6.black=1
*t083 green=7.black=25.hada=3.black=5.green=1.black=2.red=4.black=3
*t084 green=7.black=21.hada=2.black=7.green=2.black=2.red=2.black=3.hada=1
*t085 green=8.black=1.18.hada=2.black=2.hada=1.black=3.green=2.black=6.hada=2
;
