/*
key.c
gcc key.c -I/usr/X11R6/include -L/usr/X11R6/lib -lX11
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <X11/Xlib.h>
#include <X11/keysym.h>
#include <time.h>

#define  max    221
#define  KFIN    52
#define  KSTART  53
#define  KEND    54
#define  KKK     55
#define  NARABI  56
#define  CLK     1.0
#define  NISEN   2000
#define  BYO     100.0
#define  SK      1000
#define  M1F     1000.0
#define  R1F     180.0
#define  R2F     180.0
#define  R3F     180.0
#define  R4F     180.0

#define MAXF 4096

struct line{
   char text[MAXF];
   long  count;
   int   pos;
   struct line *next;
};

char text[MAXF],text2[MAXF];

struct line *gcdata,*ydata,*tdata;
struct line *start,*info;
struct line *last;
struct line *shojun(struct line *);
struct line *node_create();


/*   0, 0, 0 黒  15, 0, 0 赤  0,15, 0 緑   0, 0,15 青 */
/*  15,15, 0 黄  15, 0,15 紫  0,15,15 水  15,15,15 白 */

 static char mae[48]={
         0, 0, 0,  12, 8, 0,        10, 0, 0,  10, 0,10,
        11,11,11,  15,15,15,        12, 6, 0,  10,10,10,
         4, 4, 4,   0, 0,15,        15, 0, 0,  15, 0,15,
         0,15, 0,   0,15,15,        15, 0, 8,   0, 0,15  };

 static int lv3[10]={0, 6,12,  18, 24, 30,    36, 42, 48,   54 };
 static int lv4[10]={0, 9,18,  27, 36, 45,    54, 63, 72,   81 };
 static int lv5[10]={0,12,24,  36, 48, 60,    72, 84, 96,  108 };
 static int lv6[10]={0,15,30,  45, 60, 75,    90,105,120,  135 };
 static int lv7[10]={0,18,36,  54, 72, 90,   108,126,144,  162 };
 static int lv8[10]={0,21,42,  63, 84,105,   126,147,168,  189 };


unsigned char data[max][max];
unsigned char data2[max][max];
unsigned char ht[max][NARABI];
unsigned char hy[max][NARABI];
int            it[max][NARABI];
int            iy[max][NARABI];
unsigned char ht2[max][NARABI];
unsigned char hy2[max][NARABI];
int            it2[max][NARABI];
int            iy2[max][NARABI];
unsigned char data3[max][max];
unsigned char ht3[max][NARABI];
unsigned char hy3[max][NARABI];
int            it3[max][NARABI];
int            iy3[max][NARABI];

unsigned char data4[max][max];
unsigned char ht4[max][NARABI];
unsigned char hy4[max][NARABI];
int            it4[max][NARABI];
int            iy4[max][NARABI];
int asx[NISEN];
int asy[NISEN];
int asj[NISEN];
int ascnt=0;
int copyflg=0;

int ut[max][NARABI];
int uy[max][NARABI];
int sst[max][NARABI];
int ssy[max][NARABI];
int eet[max][NARABI];
int eey[max][NARABI];
long aac=0x772222,bbc=0xeeee88;
int notimesave=0;

char sss[200];
double pt1,st1,pt3,st3;
int oldsec=0, nowsec=0;
int oldvsec=0,nowvsec=0;
double gettime();
 
unsigned long d[max],dx;
unsigned int  f[max],f1[max],f2[max];
int  tatemax, yokomax;
int  kmin, kmax;
int  mmax;
int  ls,le;
int  scount,sc;
int  ktmax,kymax;
int  eflag;
clock_t time1, time2;
long extime;
int  dot1,dot2;
int  sl=6,sb=0,sa=0;
int  trace=0;
int  kdata=50;
int  speed=2;
int  length=220;
long nuri=0;

int asc11(char a);

void intro();
void mno_open1(char *file);
void mno_fixsave1(char *file);
void mno_save1();
void point1x();
void point1z();
void point2x();
void point3();
void point4a();
void point5a();
void sum1it(int i, int kst, int ked, int lst, int led);
void sum1iy(int i, int kst, int ked, int lst, int led);
void batu1it(int i, int kst, int ked, int lst, int led);
void batu1iy(int i, int kst, int ked, int lst, int led);
void kmck(int i,char yt);
void bcheckt();
void bchecky();
void ccheckt();
void cchecky();
void uniqueing();
void printi(char yt,int i);
void pcheckt();
void pchecky();
void rcheckt();
void rchecky();
void ucheckt();
void uchecky();
void ucheckt2();
void uchecky2();
void ucheckt3();
void uchecky3();
void scheckt();
void schecky();
void u1t();
void u1y();
void v2it();
void v2iy();
void fax1it(int i,int lst,int led);
void fax1iy(int i,int lst,int led);
void mark(int i, int j, char yt,unsigned char val);
void vmark(int i, int j, char yt,int val);
int  map(int i, int l, char yt,int val);
void ksef(int i, char yt);
void lse(int i, char yt);
void ch();
void ch1();
void swe(int i,char yt);
int min11(int a,int b);
int max11(int a,int b);
int  fincount();
void ktymax();
void pr_10x(int suu,int x,int y,int col);
void a_write1(int a,int b,unsigned char *c,int ss);
void chset1(int a, int b,int c,int ss);
void box(int x1,int y1,int fu,int iro);
void errorbox(int x1,int y1,int fu);
void newz();

void movedata(unsigned char d1[max][max],unsigned char d2[max][max],unsigned char zht1[max][NARABI],unsigned char zht2[max][NARABI],unsigned char zhy1[max][NARABI],unsigned char zhy2[max][NARABI],int zit1[max][NARABI],int zit2[max][NARABI],int ziy1[max][NARABI],int ziy2[max][NARABI]);

int nokori20();
int rote(double dsf);
int mapflg=0,maperr;

void first();
void hantei();
void g_dot(int x, int y);
void g_text(int x, int y,char *str);
void g_line(int x0, int y0, int x1, int y1);
void g_rgb(long iro);
void g_fill(int x0,int y0, int wid, int hei);
void g_box(int x0, int y0, int wid, int hei);
void g_clear();

Display *dpy;
int screen;
Window win, root;
GC gc;
unsigned int win_width=1024, win_height=600;
unsigned int dummy;
XEvent event;
KeySym key_sym;
Atom atom1, atom2;

int loop1=1;

int exx[100],exy[100],exz[100],ex1;
int newt[max],newy[max];
int oldt[max],oldy[max];
char ar2[20],ar3[30],fbc[10],ar4[30],ar5[300];
int fbb;
char cch,uuu[100];
   unsigned char test_mno[10]="test.mno",test[10]="test",mbk[20];
   unsigned char filet[30];
int argc1,kk;
float tt1=0.0;

int main( int argc, char *argv[] )
{
 
   int si,cc,dd1,dd2,i,j;
   unsigned char kcrgb[5]=".mno",arg[20],*arx;
   FILE *fp,*ft,*fr;

   argc1=argc;
   st1=gettime();
   /*first();*/
/*
   for(i=0;i<max;i++){
      for(j=0;j<NARABI;j++){
         it[i][j]=0;
         iy[i][j]=0;
         ht[i][j]=0;
         hy[i][j]=0;
      }
   }
 */
   if(argc<2){
      mno_open1(test_mno);
      strcpy(mbk,"test.mbk");
   }
   else{
      si=0;
      arx=argv[1];
      while(*arx != '\0' && *arx != '.' && si<8){
         arg[si] = *arx;
         arx++;
         si++;
      }
      arg[si]='\0';
      strcpy(ar2,arg);
      strcpy(mbk,arg);
      strcat(arg,kcrgb);
      strcat(mbk,".mbk");
      mno_open1(arg);
/*      
      g_rgb(0xffffff); g_fill(400,0,40,30);
      g_rgb(0x0000ff); g_text(420,20,arg);
*/
   }
  
   ktymax();
   kk=max11(tatemax,yokomax);
   if(yokomax<=10 && tatemax<=20){
      dot1=25;
      dot2=24;
   }
   else{
      dd1=470/yokomax;
      dd2=940/tatemax;
      dd1=min11(dd1,dd2);
      dot1=dd1;
      dot2=dd1-1;
      if(dot2<28) dot2=dot1;
      ktmax=kymax=0;
    }

   intro();
   fbb=1;
   tt1=0.0;
   oldsec=0;
   strcpy(ar3,ar2);
   strcat(ar3,".");
   sprintf(uuu,"%d",fbb);
   strcat(ar3,uuu);
   fp=fopen(ar3,"r");
   if(fp!=NULL){

       while(fp!=NULL){
          fbb++;
          strcpy(ar3,ar2);
          strcat(ar3,".");
          sprintf(uuu,"%d",fbb);
          strcat(ar3,uuu);
          fp=fopen(ar3,"r");
       }
       fbb--;
       strcpy(ar3,ar2);
       strcat(ar3,".");
       sprintf(uuu,"%d",fbb);
       strcat(ar3,uuu);
       strcpy(ar4,ar3);
       fp=fopen(ar3,"r");
       for(i=1;i<=yokomax;i++){
           for(j=1;j<=tatemax;j++){
              cch=fgetc(fp);
              if(cch=='_') data[j][i]=0;
              if(cch=='Q'){ data[j][i]=100; /*box( (kymax+j)*dot1+20,(ktmax+i)*dot1+30,dot2,5);*/ nuri++;}
              if(cch=='x'){ data[j][i]=200; /*box( (kymax+j)*dot1+20,(ktmax+i)*dot1+30,dot2,6);*/ nuri++;}
           }
           cch=fgetc(fp);
       }
       fclose(fp);
       if(nuri==tatemax*yokomax) notimesave=1;

       if(argc<2) strcpy(filet,test);
       else strcpy(filet,ar2);
       strcat(filet,"2.mt");

       ft = fopen(filet,"r");
       if(ft==NULL){
           printf("ファイル名が %s 失敗\n",filet);
           exit(0);
       }
       fscanf(ft,"%f",&tt1);
       fclose(ft);
       oldsec=(int)(tt1/BYO);

       if(argc<2){
          copyflg=0;
          mno_fixsave1(test_mno);
       }
       else{
          copyflg=0;
          mno_fixsave1(arg);
       }

       fbb=1;
       strcpy(ar3,ar2);
       strcat(ar3,".mbk");
       sprintf(uuu,"%d",fbb);
       strcat(ar3,uuu);
       fr=fopen(ar3,"r");
       if(fr!=NULL){

          while(fr!=NULL){
             fbb++;
             strcpy(ar3,ar2);
             strcat(ar3,".mbk");
             sprintf(uuu,"%d",fbb);
             strcat(ar3,uuu);
             fr=fopen(ar3,"r");
          }
          /*fclose(fr);*/
          /*fbb--;*/
          strcpy(ar3,ar2);
          strcat(ar3,".mbk");
          sprintf(uuu,"%d",fbb);
          strcat(ar3,uuu);
          printf("生成されたバックアップファイル %s\n",ar3);
          copyflg=1;
          mno_fixsave1(ar3);
          strcat(ar3,"pf");
          sprintf(ar5,"cp %s %s",ar4,ar3);
          printf("%s\n",ar5);
          system(ar5);
      }
      else{
         /*fclose(fr);*/
          printf("生成されたバックアップファイル %s\n",ar3);
         copyflg=1;
         mno_fixsave1(ar3);
          strcat(ar3,"pf");
          sprintf(ar5,"cp %s %s",ar4,ar3);
          printf("%s\n",ar5);
          system(ar5);
      }


   }
   else{
      tt1=0.0;
      oldsec=0;
   }

   pt1=(gettime()-st1)+tt1;
/* 
   fincount();
   if(scount == tatemax+yokomax){
      g_rgb(0x0000ff);
      g_text(20,20,"This Result is Very Good !");
      if(pt1>10.0){
         oldsec=nowsec=(int)(pt1/BYO)+1;
         if(notimesave==0) mno_save1();
      }
   }
   else{
      g_rgb(0xff0000);
      g_text(20,20,"This Result is Bad Result.");
   }
*//*
   if(notimesave==1&&tt1>0.0) pt1=tt1;
   else pt1=(gettime()-st1)+tt1;
/*
   sprintf(sss,"TIME=%4.2f(sec)",pt1);
   g_rgb(0xffffff); g_fill(180,0,240,30);
   g_rgb(0xff0000); g_text(200,20,sss);
      sprintf(sss,"Dot=%ld/%ld",nuri,(long)tatemax*yokomax);
      g_rgb(0xffffff); g_fill(900,20,100,50);
      g_rgb(0x0000ff); g_text(920,40,sss);
*/  
/*
   if(argc<2) strcpy(filet,test);
   else strcpy(filet,ar2);
   strcat(filet,"1.mt");

   if(notimesave==0){
      ft = fopen(filet,"w");
      if(ft==NULL){
         printf("ファイル名が %s 失敗\n",filet);
         exit(0);
      }
      fprintf(ft,"%4.3f",pt1);
      fclose(ft);
   }
/*
   while(1){
      hantei();
   }
*/
}

 

int asc11(char a){
   if('0'<=a&&a<='9') return a-'0';
   else if('A'<=a&&a<='F') return a-'A'+10;
   else if('a'<=a&&a<='f') return a-'a'+10;
}

double gettime(){
   struct timeval tv;
   gettimeofday(&tv,NULL);
   return tv.tv_sec+(double)tv.tv_usec*1e-6;
}
static char chr_1[15]={
               0, 2, 0,
               2, 2, 0,
               0, 2, 0,
               0, 2, 0,
               0, 2, 0  };

static char chr_2[15]={
               2, 2, 2,
               0, 0, 2,
               2, 2, 2,
               2, 0, 0,
               2, 2, 2  };

static char chr_3[15]={
               2, 2, 2,
               0, 0, 2,
               2, 2, 2,
               0, 0, 2,
               2, 2, 2  };

static char chr_4[15]={
               2, 0, 2,
               2, 0, 2,
               2, 2, 2,
               0, 0, 2,
               0, 0, 2  };

static char chr_5[15]={
               2, 2, 2,
               2, 0, 0,
               2, 2, 2,
               0, 0, 2,
               2, 2, 2  };

static char chr_6[15]={
               2, 2, 2,
               2, 0, 0,
               2, 2, 2,
               2, 0, 2,
               2, 2, 2  };

static char chr_7[15]={
               2, 2, 2,
               2, 0, 2,
               0, 0, 2,
               0, 0, 2,
               0, 0, 2  };

static char chr_8[15]={
               2, 2, 2,
               2, 0, 2,
               2, 2, 2,
               2, 0, 2,
               2, 2, 2  };

static char chr_9[15]={
               2, 2, 2,
               2, 0, 2,
               2, 2, 2,
               0, 0, 2,
               2, 2, 2  };

static char chr_0[15]={
               2, 2, 2,
               2, 0, 2,
               2, 0, 2,
               2, 0, 2,
               2, 2, 2  };


void g_dot(int x, int y){
  XDrawLine(dpy,win,gc,x,y,x,y);
  XFlush(dpy);
}

void g_text(int x, int y,char *str){
  XDrawString(dpy,win,gc,x,y,str,strlen(str));
  XFlush(dpy);
}

void g_line(int x0, int y0, int x1, int y1){
  XDrawLine(dpy,win,gc,x0,y0,x1,y1);
  XFlush(dpy);
}

void g_rgb(long iro){
  XColor xc;

  xc.red = (iro&0xff0000)/256;
  xc.green = (iro&0x00ff00); 
  xc.blue = (iro&0x0000ff)*256;
  XAllocColor(dpy,DefaultColormap(dpy,screen),&xc);
  XSetForeground(dpy,gc,xc.pixel);
  XFlush(dpy);
}

void g_fill(int x0,int y0, int wid, int hei){
  XFillRectangle(dpy,win,gc,x0,y0,wid, hei);
  XFlush(dpy);
}

void g_box(int x0, int y0, int wid, int hei){
  XDrawRectangle(dpy,win,gc,x0,y0,wid, hei);
  XFlush(dpy);
}

void g_clear(){
  g_rgb(0xffffff);
  XFillRectangle(dpy,win,gc,0,0,win_width, win_height);  
  g_rgb(0x000000);
  XFlush(dpy);
}

void first(){
 
   dpy = XOpenDisplay( NULL );    /* Xサーバに接続する */
   screen = DefaultScreen( dpy ); /* スクリーン設定 */
   win = XCreateSimpleWindow(     /* ウィンドウを開く */
         dpy,                     /* Xサーバ */
         RootWindow(dpy,screen),  /* 親ウィンドウ */
         0, 0,                    /* 表示時の左上隅の座標 x, y */
         win_width, win_height,   /* ウィンドウの幅と高さ */
         1, BlackPixel(dpy,screen),/* ボーダーの幅と色 */
         WhitePixel(dpy,screen)    /* ウィンドウの背景色 */
        );
   XSelectInput( dpy, win, ExposureMask|KeyPressMask|StructureNotifyMask);
   XMapWindow( dpy, win );  /* ウィンドウのマッピング */
 
   gc = DefaultGC( dpy, screen ); /* グラフィックコンテキストの設定 */
   XSetForeground( dpy, gc, BlackPixel(dpy,screen) ); /* 描画色設定 */
 
   atom1 = XInternAtom( dpy, "WM_PROTOCOLS", False );
   atom2 = XInternAtom( dpy, "WM_DELETE_WINDOW", False );
   XSetWMProtocols( dpy, win, &atom2, 1 );
}

void hantei(){
   int i,j;

     XNextEvent( dpy, &event );
     switch( event.type ){
     case Expose:
/*       XDrawLine( dpy, win, gc, 0, 0, win_width, win_height ); /* 線を描く */
/*       XFlush( dpy );  /* バッファのフラッシュ */
       break;
     case ConfigureNotify:
       XGetGeometry( dpy, win, &root,
               &dummy, &dummy, &win_width, &win_height,
               &dummy, &dummy );
/*       XDrawLine( dpy, win, gc, 0, 0, win_width, win_height ); /* 線を描く */
/*       XFlush( dpy );  /* バッファのフラッシュ */
       break;
     case KeyPress:
       key_sym = XKeycodeToKeysym( dpy, event.xkey.keycode, 0 );
       if( key_sym == XK_Escape ){
         XDestroyWindow( dpy, win );
       }
       if( key_sym == XK_Up ){
         XDestroyWindow( dpy, win );
       }
       if( key_sym == XK_Down ){
         XDestroyWindow( dpy, win );
       }
       if( key_sym == XK_Right ){
         XDestroyWindow( dpy, win );
       }
       if( key_sym == XK_Left ){
         XDestroyWindow( dpy, win );
       }
        if(0x20<=key_sym&&key_sym <= 0x7f){
            for(i=1;i<=tatemax;i++){
                for(j=1;j<=yokomax;j++){
                   if(data[i][j] == 100); /*box( (kymax+i)*dot1+20,(ktmax+j)*dot1+30,dot2,5);*/
                   if(data[i][j] == 200); /*box( (kymax+i)*dot1+20,(ktmax+j)*dot1+30,dot2,6);*/
                }
             }
       }
       if( key_sym == 'q' ){
         XDestroyWindow( dpy, win );
       }
      break;
     case ClientMessage:
       if( event.xclient.message_type == atom1 &&
         event.xclient.data.l[0] == atom2 ){
         XDestroyWindow( dpy, win );
       }
       break;
     case DestroyNotify:
       XCloseDisplay( dpy );
       exit(0);
       break;
     default:
       ;
     }
}

void mark(int i, int j, char yt,unsigned char val){
      if(yt == 't') ht[i][j]=val;
      if(yt == 'y') hy[i][j]=val;

   if(yokomax<=10 && tatemax<=20){
      if(yt == 't'){

            ht[i][j]=val;
            if(val==1)   pr_10x(it[i][j],(kymax+i)*dot1+23,j*dot1+30  ,2);
            if(val==5){ pr_10x(it[i][j],(kymax+i)*dot1+23,j*dot1+30  ,2);
             }
            if(val==255){  pr_10x(it[i][j],(kymax+i)*dot1+23,j*dot1+30  ,2);
             }
      }
      if(yt == 'y'){
            hy[i][j]=val;
            if(val==1)   pr_10x(iy[i][j],j*dot1+20,    (ktmax+i)*dot1+33,1);
            if(val==5){
    pr_10x(iy[i][j],j*dot1+20,    (ktmax+i)*dot1+33,1);
            }
            if(val==255){
    pr_10x(iy[i][j],j*dot1+20,    (ktmax+i)*dot1+33,1);
            }
      }
   }
}

void vmark(int i, int j, char yt,int val){

   if(yokomax<=10 && tatemax<=20){
      if(yt == 't'){
            pr_10x(val,(kymax+i)*dot1+23,j*dot1+30       ,1);
      }
      if(yt == 'y'){
            pr_10x(val,j*dot1+20,        (ktmax+i)*dot1+33,1);
      }
   }
}

int map(int i, int l, char yt,int val){

   int da,dflag=0,j,k,m;
   char mes1[24],mes2[24],ss[10];
   char ttt[100];

    if(yt == 't'){
/*
      if(i==27 && l==3 && val==200) while(1) hantei(); 
      if(i==11 && l==21 && val==200) while(1) hantei(); 
*/
       da=data[i][l];
/*
          newt[i]=100;
          newy[l]=100;

          oldt[i]=100;
          oldy[l]=100;
*/
       if(data[i][l]==0){
          newt[i]=100;
          newy[l]=100;

          oldt[i]=100;
          oldy[l]=100;

          nuri++;
       }
       if(da == 100 && val==200) dflag=1;
       if(da == 200 && val==100) dflag=1;
       if(da ==   0 && val==200) eflag++;
       if(da ==   0 && val==100) eflag++;
       if(dflag==0){
          data[i][l]=val;
          if(val == 100); /*box( (kymax+i)*dot1+20,(ktmax+l)*dot1+30,dot2,5);*/
          if(val == 200); /*box( (kymax+i)*dot1+20,(ktmax+l)*dot1+30,dot2,6);*/
       }
       else{
          if(mapflg==1){ maperr=1; return 1;}
          /*errorbox( (kymax+i)*dot1+20,(ktmax+l)*dot1+30,dot2);*/

          if(da ==100) strcpy(mes1,"塗りつぶす(Q=100)");
          if(da ==200) strcpy(mes1,"バツ確定(x=200)");
          if(val==100) strcpy(mes2,"塗りつぶす(Q=100)");
          if(val==200) strcpy(mes2,"バツ確定(x=200)");

          printf("データ入力に間違いがないか、もう一度お確かめ下さい");
          printf("横が %d 縦が %d で %s から %s になってエラー",
                 i,l,mes1,mes2);

/*
      g_rgb(0xff0000);
      g_text(20,20,"ERROR !");
*/
      k=iy[l][KKK];
      strcpy(sss,"*y");
      sprintf(ttt,"%03d ",l);
      strcat(sss,ttt);
      for(j=1;j<=k;j++){
         if(j==1) sprintf(ttt,"%d",iy[l][j]);
         else     sprintf(ttt,",%d",iy[l][j]);
         strcat(sss,ttt);
      }
      k=it[i][KKK];
      strcat(sss,"  *t");
      sprintf(ttt,"%03d ",i);
      strcat(sss,ttt);
      for(j=1;j<=k;j++){
         if(j==1) sprintf(ttt,"%d",it[i][j]);
         else     sprintf(ttt,",%d",it[i][j]);
         strcat(sss,ttt);
      }
      /* sprintf(sss,"x=%d y=%d %s %s",i,l,mes1,mes2); */
/*
      g_text(400,30,sss);

      pt1=(gettime()-st1)+tt1;
      sprintf(sss,"TIME=%4.2f(sec)",pt1);
      g_text(200,20,sss);

           while(1) hantei(); exit(0);
*/
       }

    }
    if(yt == 'y'){
/*  
      if(l==27 && i==3 && val==200) while(1) hantei(); 
      if(i==11 && l==21 && val==200) while(1) hantei(); 
*/
       da=data[l][i];
/*
          newt[l]=100;
          newy[i]=100;

          oldt[l]=100;
          oldy[i]=100;
*/
       if(data[l][i]==0){
          newt[l]=100;
          newy[i]=100;

          oldt[l]=100;
          oldy[i]=100;

          nuri++;
       }
       if(da == 100 && val==200) dflag=1;
       if(da == 200 && val==100) dflag=1;
       if(da ==   0 && val==200) eflag++;
       if(da ==   0 && val==100) eflag++;
       if(dflag==0){
          data[l][i]=val;
          if(val == 100); /*box( (kymax+l)*dot1+20,(ktmax+i)*dot1+30,dot2,5);*/
          if(val == 200); /*box( (kymax+l)*dot1+20,(ktmax+i)*dot1+30,dot2,6);*/
       }
       else{
           if(mapflg==1){ maperr=1; return 1;}
           /*errorbox( (kymax+l)*dot1+20,(ktmax+i)*dot1+30,dot2);*/

          if(da ==100) strcpy(mes1,"塗りつぶす(Q=100)");
          if(da ==200) strcpy(mes1,"バツ確定(x=200)");
          if(val==100) strcpy(mes2,"塗りつぶす(Q=100)");
          if(val==200) strcpy(mes2,"バツ確定(x=200)");

          printf("データ入力に間違いがないか、もう一度お確かめ下さい");
          printf("横が %d 縦が %d で %s から %s になってエラー",
                  l,i,mes1,mes2);

/*
      g_rgb(0xff0000);
      g_text(20,20,"ERROR !");
*/
      k=iy[i][KKK];
      strcpy(sss,"*y");
      sprintf(ttt,"%03d ",i);
      strcat(sss,ttt);
      for(j=1;j<=k;j++){
         if(j==1) sprintf(ttt,"%d",iy[i][j]);
         else     sprintf(ttt,",%d",iy[i][j]);
         strcat(sss,ttt);
      }
      k=it[l][KKK];
      strcat(sss,"  *t");
      sprintf(ttt,"%03d ",l);
      strcat(sss,ttt);
      for(j=1;j<=k;j++){
         if(j==1) sprintf(ttt,"%d",it[l][j]);
         else     sprintf(ttt,",%d",it[l][j]);
         strcat(sss,ttt);
      }
      /* sprintf(sss,"x=%d y=%d %s %s",l,i,mes1,mes2); */
/*
      g_text(400,30,sss);

      pt1=(gettime()-st1)+tt1;
      sprintf(sss,"TIME=%4.2f(sec)",pt1);
      g_text(200,20,sss);

           while(1) hantei(); exit(0);
*/
       }

    }
}

void ktymax(){

   int i;

   ktmax=1;
   for(i=1;i<=tatemax;i++){
      ktmax=max11(it[i][KKK],ktmax);
   }
   kymax=1;
   for(i=1;i<=yokomax;i++){
      kymax=max11(iy[i][KKK],kymax);
   }

}

int fincount(){

   int i,ret;

   scount=ret=0;
   for(i=1;i<=tatemax;i++){
      if(it[i][KFIN] == 100){ scount++;
         /*((kymax+i)*dot1+dot1/2+17,(ktmax+yokomax+2)*dot1+dot1/2+27,5,9);*/
      }
   }
   for(i=1;i<=yokomax;i++){
      if(iy[i][KFIN] == 100){ scount++;
         /*box((kymax+tatemax+2)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,9);*/
       }
   }
   if(scount == tatemax+yokomax)  ret=1;

   return ret;
}

void ksef(int i, char yt){

    if(yt == 't'){
         it[i][KSTART]=999;
         it[i][KEND]  =998;
         it[i][KFIN]  =100;
    }
    if(yt == 'y'){
         iy[i][KSTART]=999;
         iy[i][KEND]  =998;
         iy[i][KFIN]  =100;
    }
}

 
void lse(int i, char yt){

   int j,k,n,qsum,p,j1;

   if(yt == 't'){
      kmck(i,'t');
      k=it[i][KKK];

      qsum=0;
      for(n=1; n<kmin; n++){
         qsum=qsum+it[i][n];
      }
      p=0;
      for(j=1; (j<=yokomax && p<qsum); j++){
         if(data[i][j]==100) p++;
      }
      ls=j;

      qsum=0;
      for(n=kmax+1; n<=k; n++){
         qsum=qsum+it[i][n];
      }
      p=0;
      for(j=yokomax; (j>=1 && p<qsum); j--){
         if(data[i][j]==100) p++;
      }
      le=j;

   }

   if(yt == 'y'){
      kmck(i,'y');
      k=iy[i][KKK];

      qsum=0;
      for(n=1; n<kmin; n++){
         qsum=qsum+iy[i][n];
      }
      p=0;
      for(j=1; (j<=tatemax && p<qsum); j++){
         if(data[j][i]==100) p++;
      }
      ls=j;

      qsum=0;
      for(n=kmax+1; n<=k; n++){
         qsum=qsum+iy[i][n];
      }
      p=0;
      for(j=tatemax; (j>=1 && p<qsum); j--){
         if(data[j][i]==100) p++;
      }
      le=j;

   }
}

void kmck(int i,char yt){

      int j,k;

   if(yt == 't'){
      k=it[i][KKK];
      for(j=1;j<=k;j++){
         if(ht[i][j]==5 && j==it[i][KSTART]) it[i][KSTART]++;
      }
      for(j=k;j>=1;j--){
         if(ht[i][j]==5 && j==it[i][KEND])   it[i][KEND]--;
      }
      kmin=it[i][KSTART];
      kmax=it[i][KEND];
   }
   if(yt == 'y'){

      k=iy[i][KKK];
      for(j=1;j<=k;j++){
         if(hy[i][j]==5 && j==iy[i][KSTART]) iy[i][KSTART]++;
      }
      for(j=k;j>=1;j--){
         if(hy[i][j]==5 && j==iy[i][KEND])   iy[i][KEND]--;
      }
      kmin=iy[i][KSTART];
      kmax=iy[i][KEND];
   }
}

 
void swe(int i,char yt){

   int m,l;

   if(yt == 't'){
      for(l=1; l<=yokomax; l++){
         if(data[i][l] == 0){   map(i,l,'t',200); if(maperr==1) return;}

      }
   }
   if(yt == 'y'){
      for(l=1; l<=tatemax; l++){
         if(data[l][i] == 0){   map(i,l,'y',200); if(maperr==1) return; }

      }
   }
}

 
void fax1it(int i,int lst,int led){

   int j,k,m;
   int d0,d100,d200,flag,f3;

      m=1;
      d0 = d100 = d200 = 0;
      j=lst;
      while(j<= led){
         flag=0;
         if(data[i][j]==0 && flag==0){
            flag=1;
            f1[m]=f3=j;
            while(data[i][j]==0 && j<=led){
               d0++;
               j++;
            }
         }
         if(data[i][j]==100 && flag==0){
            flag=1;
            f1[m]=f3=j;
            while(data[i][j]==100 && j<=led){
               d100++;
               j++;
            }
         }
         if(data[i][j]==200 && flag==0){
            flag=1;
            f1[m]=f3=j;
            while(data[i][j]==200 && j<=led){
               d200++;
               j++;
            }
         }
         if(data[i][f3]==0){
            f[ m]=d0;
            f2[m]=f3+d0-1;
         }
         if(data[i][f3]==100){
            f[ m]=1000+d100;
            f2[m]=f3+d100-1;
         }
     
    if(data[i][f3]==200){
            f[ m]=2000+d200;
            f2[m]=f3+d200-1;
         }
         d0 = d100 = d200 = 0;
         m++;
      }
      mmax=m-1;
}

void fax1iy(int i,int lst,int led){

   int j,k,m;
   int d0,d100,d200,flag,f3;

      m=1;
      d0 = d100 = d200 = 0;
      j=lst;
      while(j<= led){
         flag=0;
         if(data[j][i]==0 && flag==0){
            flag=1;
            f1[m]=f3=j;
            while(data[j][i]==0 && j<=led){
               d0++;
               j++;
            }
         }
         if(data[j][i]==100 && flag==0){
            flag=1;
            f1[m]=f3=j;
            while(data[j][i]==100 && j<=led){
               d100++;
               j++;
            }
         }
         if(data[j][i]==200 && flag==0){
            flag=1;
            f1[m]=f3=j;
            while(data[j][i]==200 && j<=led){
               d200++;
               j++;
            }
         }
         if(data[f3][i]==0){
            f[ m]=d0;
            f2[m]=f3+d0-1;
         }
         if(data[f3][i]==100){
            f[ m]=1000+d100;
            f2[m]=f3+d100-1;
         }
         if(data[f3][i]==200){
            f[ m]=2000+d200;
            f2[m]=f3+d200-1;
         }
         d0 = d100 = d200 = 0;
         m++;
      }
      mmax=m-1;

}

void intro(){

   int i,j,k;

   for(i=1;i<=tatemax;i++){
      for(j=1;j<=yokomax;j++){
         data[i][j]=0;
      }
   }

   for(i=1;i<=tatemax;i++){
      it[i][KSTART]=1;
      it[i][KEND]=it[i][KKK];
   }
   for(i=1;i<=yokomax;i++){
      iy[i][KSTART]=1;
      iy[i][KEND]=iy[i][KKK];
   }

   for(i=1;i<=yokomax;i++){
      for(j=1;j<=iy[i][KKK];j++){
         vmark(i,j,'y',iy[i][j]);
      }
   }

   for(i=1;i<=tatemax;i++){
      for(j=1;j<=it[i][KKK];j++){
         vmark(i,j,'t',it[i][j]);
      }
   }

/*
   for(i=1;i<=ex1;i++){
      if(exz[i]==100) map(exx[i],exy[i],'t',100);
      else            map(exx[i],exy[i],'t',200);
               if(maperr==1) return;
     /* printf("5 %d,%d,%d,%d\n",ex1,exx[i],exy[i],exz[i]); */
/*   }*/
/*
   for(i=1;i<=yokomax;i++){
      if(i%5==0){
         box((kymax)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,6);
         box((kymax+tatemax+1)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,6);
      }
      if(i%10==0){
         box((kymax)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,5);
         box((kymax+tatemax+1)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,5);
      }
   }
   for(i=1;i<=tatemax;i++){
      if(i%5==0){
         box((kymax+i)*dot1+dot1/2+17,(ktmax)*dot1+dot1/2+27,5,6);
         box((kymax+i)*dot1+dot1/2+17,(ktmax+yokomax+1)*dot1+dot1/2+27,5,6);
      }
      if(i%10==0){
         box((kymax+i)*dot1+dot1/2+17,(ktmax)*dot1+dot1/2+27,5,5);
         box((kymax+i)*dot1+dot1/2+17,(ktmax+yokomax+1)*dot1+dot1/2+27,5,5);
      }
   }
*/

   for(i=1;i<=yokomax;i++){
      k=iy[i][KKK];
      ssy[i][1]=1;
      for(j=2;j<=k;j++){
          ssy[i][j]=ssy[i][j-1]+iy[i][j-1]+1;
      }
      eey[i][k]=tatemax;
      for(j=k-1;j>=1;j--){
          eey[i][j]=eey[i][j+1]-iy[i][j+1]-1;
      }
   }
   for(i=1;i<=tatemax;i++){
      k=it[i][KKK];
      sst[i][1]=1;
      for(j=2;j<=k;j++){
          sst[i][j]=sst[i][j-1]+it[i][j-1]+1;
      }
      eet[i][k]=yokomax;
      for(j=k-1;j>=1;j--){
          eet[i][j]=eet[i][j+1]-it[i][j+1]-1;
      }
   }

}

void mno_open1(char *file){

   int i=0,j=0,k=0;
   int xx=0,y=0,mtype=0,uti=0,fhajime=0;
   int tt=0,yy=0,m=0,a,b;
   char msg[80],aam[50],bbm[50];

   FILE *fpin;
   int c;

   strcpy(aam,"");
   strcpy(bbm,"");
   fpin = fopen(file,"r");
   if(fpin==0){
      printf("ファイル名が %s やて？　そんなのあらへんで\n\n",file);
      exit(0);
   }
   c=fgetc(fpin);

   j=1;
   ex1=0;
   while(c != EOF){
      mtype=0;
      fhajime=0;
      y=0;
      m=0;
      k=1;
      i=0;
      while(c != '\n'){
         if(i==0){
            if(c == '*' ){
               c=fgetc(fpin);
               if(     c == 'T'){   mtype=1; uti=1;  i++;  }
               else if(c == 'Y'){   mtype=1; uti=2;  i++;  }
               else if(c == 't'){   mtype=1; uti=3;  i++;  }
               else if(c == 'y'){   mtype=1; uti=4;  i++;  }
               else if(c == 'S'){   mtype=1; uti=10; i++;  }
               else if(c == 's'){   mtype=1; uti=10; i++;  }
               else if(c == 'R'){   mtype=1; uti=15; i++;  }
               else if(c == 'r'){   mtype=1; uti=15; i++;  }
               else if(c == 'K'){   mtype=1; uti=20; i++;  }
               else if(c == 'k'){   mtype=1; uti=20; i++;  }
               else if(c == 'D'){   mtype=1; uti=25; i++;  }
               else if(c == 'd'){   mtype=1; uti=25; i++;  }
               else if(c == 'L'){   mtype=1; uti=30; i++;  }
               else if(c == 'l'){   mtype=1; uti=30; i++;  }
               else if(c == 'Z'){   mtype=1; uti=35; i++; ex1++; }
               else if(c == 'z'){   mtype=1; uti=35; i++; ex1++; }
               else if(c == 'X'){   mtype=40;        i++;  }
               else if(c == 'x'){   mtype=40;        i++;  }
               else if(c == 'M'){   mtype=45;        i++;  }
               else if(c == 'm'){   mtype=45;        i++;  }
               else if(c == 'A'){   mtype=50;        i++;  }
               else if(c == 'a'){   mtype=50;        i++;  }
               else if(c == 'B'){   mtype=51;        i++;  }
               else if(c == 'b'){   mtype=51;        i++;  }
               else{
                  printf("何かおかしいんと、ちゃいまっか");
                  printf(" %d 行の２文字目が %c \n",j,c);
                  exit(0);
               }
            }
            else if(c == ';'){  mtype=99; i++;   }
            else if(c == ' '){  mtype=99; i++;   }
            else{
               printf("何かおかしいんと、ちゃいまっか");
               printf(" %d 行の１文字目が %c \n",j,c);
               exit(0);
            }
         }
         else{
            if(mtype==45){
               msg[m]=c;
               m++;
            }
            if(mtype==50){
               aam[m]=c;
               aam[m+1]='\0';
               m++;
            }
            if(mtype==51){
               bbm[m]=c;
               bbm[m+1]='\0';
               m++;
            }
            if(c == ' ' && mtype==1 && fhajime==0){
               if(uti==1){ tatemax=xx; }
               if(uti==2){ yokomax=xx; }
               if(uti==10){
                  if(0<= xx && xx <=9) sl=xx;
                  else                 sl=6;
               }
               if(uti==15){
                  if(xx == 1) trace=1;
                  else        trace=0;
               }
               if(uti==20){
                  if(0<= xx && xx < 50) kdata=xx;
                  else                  kdata=50;
               }
               if(uti==25){
                  if(0<= xx && xx < 50) speed=xx;
                  else                  speed=2;
               }
               if(uti==30){
                  if(0<= xx && xx < 220) length=xx;
                  else                   length=220;
               }
               if(uti==3){
                  if(xx==1){ tt=1; }
                  else{
                     tt++;
                     if(tt != xx){
                        printf("順序がちゃう縦 %d 行\n",tt);
                        exit(0);
                     }
                  }
                  y=0;
               }
               if(uti==4){
                  if(xx==1){ yy=1; }
                  else{
                     yy++;
                     if(yy != xx){
                        printf("順序がちゃう横 %d 行\n",yy);
                        exit(0);
                     }
                  }
                  y=0;
               }
               if(uti==35){
                  exx[ex1]=xx;
                  xx=0;y=0;
               }
               fhajime=1;
            }
            if((c == ','|| c == '.') && mtype==1 && fhajime==0){
               if(uti==35){ exx[ex1]=xx; xx=0; y=0; fhajime=1; }
            }
            if((c == ','|| c == '.') && mtype==1 && fhajime==1){
               if(uti==3){      it[tt][k]=xx; y=0; }
               else if(uti==4){ iy[yy][k]=xx; y=0; }
               else if(uti==35){ exy[ex1]=xx; xx=0; y=0;            /*   printf("6 %d,%d,%d\n",exx[ex1],exy[ex1],exz[ex1]); */
  }
               k++;
            }
            if('0' <= c && c <= '9' && mtype==1){ 
               xx=c-'0'+y*10;
               y=xx;
            }
         }
         c=fgetc(fpin);
      }
      /* if(mtype==99){} */
      if(mtype==1 ){
         if(fhajime==0 ){
            if(uti==1){  tatemax=xx; }
            if(uti==2){  yokomax=xx; }
            if(uti==10){ 
               if(0<= xx && xx <=9) sl=xx;
               else                 sl=6;
            }
            if(uti==15){
               if(xx == 1) trace=1;
               else        trace=0;
            }
            if(uti==20){
               if(0<= xx && xx < 50) kdata=xx;
               else                  kdata=50;
            }
            if(uti==25){
               if(0<= xx && xx < 50) speed=xx;
               else                  speed=2;
            }
            if(uti==30){
               if(0<= xx && xx < 220) length=xx;
               else                   length=220;
            }
            if(uti==35){
               exz[ex1]=xx;xx=0;y=0;
        /*   printf("2 %d,%d,%d\n",exx[ex1],exy[ex1],exz[ex1]);*/
            }
         }
         if(fhajime==1){
            if(uti==3){
               it[tt][k]=xx;
               it[tt][KKK]=k;
            }
            else if(uti==4){ 
               iy[yy][k]=xx;
               iy[yy][KKK]=k;
            }
            else if(uti==35){ 
               exz[ex1]=xx;
    /*  printf("3 %d,%d,%d,%d\n",ex1,exx[ex1],exy[ex1],exz[ex1]);*/
            }
            else{
               printf("DATAが入ってないで：ファイル %s の %d 行\n",file,j);
               exit(0);
            }
         }
      }
      c=fgetc(fpin);
      j++;
   }
   fclose(fpin);

   if(strcmp(aam,"")!=0){
       aac=asc11(aam[0])*0x100000+asc11(aam[1])*0x010000+asc11(aam[2])*0x001000+asc11(aam[3])*0x000100+asc11(aam[4])*0x000010+asc11(aam[5])*0x000001;
   }
   if(strcmp(bbm,"")!=0){
       bbc=asc11(bbm[0])*0x100000+asc11(bbm[1])*0x010000+asc11(bbm[2])*0x001000+asc11(bbm[3])*0x000100+asc11(bbm[4])*0x000010+asc11(bbm[5])*0x000001;
   }

}

 
int max11(int a,int b){

   if(a<=b) return b;
   else     return a;
}

int min11(int a,int b){

   if(a<=b) return a;
   else     return b;

}

 

void a_write1(int a,int b,unsigned char *c,int ss)
{
   int s,t,u=0;
/*
   for(s=0;s<5;s++){
       for(t=0;t<3;t++){
           if(*(c+u) != 0)  box(a+t*2,b+s*2,2,ss); 
       /*    else             box(a+t*2,b+s*2,2,0 ); */ 
/*
           u++;
       }
   }
*/
}

void chset1(int a, int b,int c,int ss)
{
   if(c==1) a_write1(a,b,chr_1, ss);
   if(c==2) a_write1(a,b,chr_2, ss);
   if(c==3) a_write1(a,b,chr_3, ss);
   if(c==4) a_write1(a,b,chr_4, ss);
   if(c==5) a_write1(a,b,chr_5, ss);
   if(c==6) a_write1(a,b,chr_6, ss);
   if(c==7) a_write1(a,b,chr_7, ss);
   if(c==8) a_write1(a,b,chr_8, ss);
   if(c==9) a_write1(a,b,chr_9, ss);
   if(c==0) a_write1(a,b,chr_0, ss);

}

void pr_10x(int suu,int x,int y,int col)
{
   int l=0;
   int su2;

   if(suu==0)   chset1( x-l*4,y,0,col);
   
   while(suu != 0){
      su2=suu%10;
      chset1(x-l*4,y,su2,col);
      suu=suu/10;
      l++;
   }

}

void box(x1,y1,fu,iro)
int x1,y1,fu,iro;
{
/*
    if(iro==0){g_rgb(0x000000);}
    else if(iro==1){g_rgb(0xc00000);}
    else if(iro==2){g_rgb(0x00c000);}
    else if(iro==3){g_rgb(0x0000c0);}
    else if(iro==4){g_rgb(0xc0c000);}
    else if(iro==5){g_rgb(aac);}
    else if(iro==6){g_rgb(bbc);}
    else if(iro==7){g_rgb(0xc0c0c0);}
    else if(iro==8){g_rgb(0xc06000);}
    else if(iro==9){g_rgb(0xff0000);}
    else if(iro==10){g_rgb(0x0000ff);}
    else if(iro==11){g_rgb(0xc07050);}
    else if(iro==12){g_rgb(0x60c000);}
    else if(iro==13){g_rgb(0x704000);}
    else if(iro==14){g_rgb(0x000050);}
    else if(iro==15){g_rgb(0x505050);}
    else{g_rgb(0x888888);}

    g_fill(x1,y1,fu,fu);
*/
}

void errorbox(x1,y1,fu)
int x1,y1,fu;
{
   int ff;
/*
   ff=fu/2;
   box(x1   ,y1   ,ff, 9);
   box(x1+ff,y1   ,ff, 9);
   box(x1   ,y1+ff,ff, 9);
   box(x1+ff,y1+ff,ff, 9);
*/
}

 
void mno_save1(){
   int i,j;
   FILE *fp,*ft;

   strcpy(ar3,ar2);
   strcat(ar3,".");
   sprintf(uuu,"%d",nowsec);
   strcat(ar3,uuu);
   fp=fopen(ar3,"w");
   if(fp==NULL){
      printf("ファイル名が %s 失敗\n",ar3);
      exit(0);
   }
   else{
      for(i=1;i<=yokomax;i++){
         for(j=1;j<=tatemax;j++){
            if( data[j][i]==  0) fputc('_',fp);
            if( data[j][i]==100) fputc('Q',fp);
            if( data[j][i]==200) fputc('x',fp);
         }
         fputc('\n',fp);
      }
   }
   fclose(fp); 

   if(argc1<2) strcpy(filet,test);
   else strcpy(filet,ar2);
   strcat(filet,"2.mt");

   if(notimesave==1&&tt1>0.0) pt1=tt1;
   else                       pt1=(gettime()-st1)+tt1;

   if(notimesave==0){
      ft = fopen(filet,"w");
      if(ft==NULL){
         printf("ファイル名が %s 失敗\n",filet);
         exit(0);
      }

      fprintf(ft,"%4.3f",pt1);
      fclose(ft);
   }
/*
            for(i=1;i<=yokomax;i++){
                for(j=1;j<=tatemax;j++){
                   if(data[j][i] == 100) box( (kymax+j)*dot1+20,(ktmax+i)*dot1+30,dot2,5);
                   if(data[j][i] == 200) box( (kymax+j)*dot1+20,(ktmax+i)*dot1+30,dot2,6);
                }
             }


   for(i=1;i<=yokomax;i++){
      if(i%5==0){
         box((kymax)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,6);
         box((kymax+tatemax+1)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,6);
      }
      if(i%10==0){
         box((kymax)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,5);
         box((kymax+tatemax+1)*dot1+dot1/2+17,(ktmax+i)*dot1+dot1/2+27,5,5);
      }
   }
   for(i=1;i<=tatemax;i++){
      if(i%5==0){
         box((kymax+i)*dot1+dot1/2+17,(ktmax)*dot1+dot1/2+27,5,6);
         box((kymax+i)*dot1+dot1/2+17,(ktmax+yokomax+1)*dot1+dot1/2+27,5,6);
      }
      if(i%10==0){
         box((kymax+i)*dot1+dot1/2+17,(ktmax)*dot1+dot1/2+27,5,5);
         box((kymax+i)*dot1+dot1/2+17,(ktmax+yokomax+1)*dot1+dot1/2+27,5,5);
      }
   }

      sprintf(sss,"sb=%d",sb);
      g_rgb(0xffffff); g_fill(600,0,70,22);
      g_rgb(0x0000ff); g_text(620,20,sss);
      sprintf(sss,"Dot=%ld/%ld",nuri,(long)tatemax*yokomax);
      g_rgb(0xffffff); g_fill(900,20,100,50);
      g_rgb(0x0000ff); g_text(920,40,sss);
*/
}

void mno_fixsave1(char *file){
   char *arx,arg[100];
   int p,pos,i,j,k,si;
   FILE *fp,*fs;

      si=0;
      arx=file;
      while(*arx != '\0' && *arx != '.' && si<8){
         arg[si] = *arx;
         arx++;
         si++;
      }
      arg[si]='\0';
      strcat(arg,".mno");


   fp=fopen(arg,"r");
   if(fp==NULL){
      printf("cannot open file %s \n",file);
      exit(1);
   }
   /*printf("file name %s \n",file);*/

   gcdata=start=node_create();
   while( (p=getc(fp)) != EOF){
      if(p=='\n'){
         gcdata->text[pos]='\0';
         gcdata->count    =1;
         gcdata->pos      =pos;
         if(gcdata->text[0]=='*'&&gcdata->text[1]=='y'&&gcdata->text[2]=='0'&&gcdata->text[3]=='0'&&gcdata->text[4]=='1') ydata=gcdata;
         if(gcdata->text[0]=='*'&&gcdata->text[1]=='t'&&gcdata->text[2]=='0'&&gcdata->text[3]=='0'&&gcdata->text[4]=='1') tdata=gcdata;

         gcdata->next     =node_create();
         gcdata           =gcdata->next;
         pos=0;
      }
      else{
         if(pos>=MAXF) break;
         gcdata->text[pos++]=p;
      }
   }
   gcdata->text[pos]='\0';
   gcdata->count    =1;
   gcdata->pos      =pos;
   last=gcdata;

   fclose(fp);
if(copyflg==0){ 
   fs=fopen(mbk,"w");
   if(fs==NULL){
      printf("cannot open file 1%s \n",file);
      exit(1);
   }
   /*printf("file name %s \n",file);*/

   info=start;
   while(info->next){
      fprintf(fs,"%s\n",info->text);
      info=info->next;
   }
   fclose(fs);
}
   fs=fopen(file,"w");
   if(fs==NULL){
      printf("cannot open file 1%s \n",file);
      exit(1);
   }
   /*printf("file name %s \n",file);*/

   info=start;
   while(info->next){
      if(info==ydata){
         for(i=1;i<=yokomax;i++){
            fprintf(fs,"*y%03d ",i);
            fax1iy(i,1,tatemax);
            k=1;
            for(j=1;j<=mmax;j++){
               if(f[j]/1000==1){
                   if(k==1){
                       k++;
                       sprintf(text2,"%d",f[j]%1000);
                       strcpy(text,text2);
                   }
                   else{
                       sprintf(text2,".%d",f[j]%1000);
                       strcat(text,text2);
                   }
               }
               else if(f[1]/1000==2&&f[1]%1000==tatemax){
                  strcpy(text,"0");
                  goto L1;
               }
            }
L1:
            fprintf(fs,"%s\n",text);
            info=info->next;
         }
         /*fprintf(fs,";\n");*/
      }
      else if(info==tdata){
         for(i=1;i<=tatemax;i++){
            fprintf(fs,"*t%03d ",i);
            fax1it(i,1,yokomax);
            k=1;
            for(j=1;j<=mmax;j++){
               if(f[j]/1000==1){
                   if(k==1){
                       k++;
                       sprintf(text2,"%d",f[j]%1000);
                       strcpy(text,text2);
                   }
                   else{
                       sprintf(text2,".%d",f[j]%1000);
                       strcat(text,text2);
                   }
               }
               else if(f[1]/1000==2&&f[1]%1000==yokomax){
                  strcpy(text,"0");
                  goto L2;
               }
            }
L2:
            fprintf(fs,"%s\n",text);
            info=info->next;
         }
      }
      else{
         fprintf(fs,"%s\n",info->text);
         info=info->next;
      }
   }
   fclose(fs);
}
 
struct line *node_create()
{
   struct line *from;
   int size;

   size=sizeof(struct line);
   from=(struct line *)malloc(size);
   if(!from){
      printf("out of memory \n");
      exit(1);
   }
   from->next=NULL;

   return from;
}


