;
;　＜カラーロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;          *t052  red=3,2,5,blue=4,1 ならば、縦のデータの52番目に
;          赤３、赤２、赤５、青４、青１のデータがはいっていると
;　　　　　いうことです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.cl だとしたら、
;　     a:¥>cx.exe  test.cl （リターン）と打ってください。
;　単に a:¥>cx      test    （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;
;
;  <*R>　トレースモード（省略時　*R0）
;　例えば１００ｘ１００の巨大ロジックを解析するとき、コンピューター
;　が止まっているのではないかと錯覚することがあります。
;　ちゃんと動いているか確認するモードです。
;
;  *R0  トレースＯＦＦ　（デフォルト）
;  *R1　トレースＯＮ
;
;
;
;  <*K>　スキップモード　（省略時　*K80）
;　例えば１００ｘ１００の巨大ロジックを解析するとき、１行の調べるデータ数
;　がｎ個あるとすると、ｎ重ループとなり処理に負担がかかります。
;　だいたい６重ループぐらいできつくなります。
;　そういう時は、*K6 と設定しておきましょう。
;
;
;
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  巨大ロジックのデータが例えば 1,1,1,80,1,1,1,1,1,1 のようなケース
;　のとき、１０重ループだけれども、８０という長さが無視できません。
;　*K6 *L70 と設定しておくと、６重ループ以上でスキップのはずが、
;　長さが７０以上なのでスキップをキャンセルして解析します。
;
;
;
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;　マシンによって、速く計算できるマシン、遅いマシンとまちまちですが、
;　速いマシンだと、時間表示の更新がせわしく見え、見えるだけなら
;　まだいいのですが、計算処理が表示することに費やしてしまい、
;　結果的に遅くなるのを防ぐためのものです。
;　数字を大きくすると（３や４）更新回数が減りますが、遅いマシンだと
;　イライラすると思います。
;
;
;
;
;  カラーロジック　データ参考図
;
;                                            緑1
;                                            赤3     緑1
;                                            黒1 緑1 赤4
;                                            赤2 赤1 黒1
;                                        緑1 黒1 黒1 赤2 黒1 緑1 黒1
;                                        赤6 赤1 赤6 黒1 緑8 黒8 緑8
;                                    緑6 緑1 緑1 緑1 緑1 黒1 緑1 黒1 黒8 緑6
;                                  ------------------------------------------
;                    緑3 黒1 緑1 黒1:        緑  緑  緑  黒  緑  黒
;            緑1 赤3 緑1 黒1 緑1 黒1:    緑  赤  赤  赤  緑  黒  緑  黒
;緑1 赤2 黒1 赤1 緑1 黒1 緑1 黒1 緑1:緑  赤  赤  黒  赤  緑  黒  緑  黒  緑
;        緑1 赤4 緑1 黒1 緑1 黒1 緑1:緑  赤  赤  赤  赤  緑  黒  緑  黒  緑
;緑1 赤1 黒1 赤2 緑1 黒1 緑1 黒1 緑1:緑  赤  黒  赤  赤  緑  黒  緑  黒  緑
;    緑1 赤3 黒1 緑1 黒1 緑1 黒1 緑1:緑  赤  赤  赤  黒  緑  黒  緑  黒  緑
;        緑1 赤4 緑1 黒1 緑1 黒1 緑1:緑  赤  赤  赤  赤  緑  黒  緑  黒  緑
;緑1 赤1 黒1 赤2 緑1 黒1 緑1 黒1 緑1:緑  赤  黒  赤  赤  緑  黒  緑  黒  緑
;        緑1 赤2 黒1 緑1 黒1 緑1 黒1:    緑  赤  赤  黒  緑  黒  緑  黒
;                    緑3 黒1 緑1 黒1:        緑  緑  緑  黒  緑  黒
;
;
;
;　＜使える色＞
;  black  red  green  blue  yellow  violet  water  white
;  黒　　 赤   緑　   青　  黄色　  紫　    水色　 白
;
;  orange  brown  pink  hada  kimi  oudo    kon   hai
;　ｵﾚﾝｼﾞ　 茶色　 桃色　肌色　黄緑　黄土色　紺色　灰色
;
*M スイカ：すぐ解ける
*Y10
*T10
*S6
*R0
*K0.3
*L14
*D30
;
;
*y001 green=3,black=1,green=1,black=1
*y002 green=1,red=3  ,green=1,black=1,green=1,black=1
*y003 green=1,red=2  ,black=1,red=1  ,green=1,black=1,green=1,black=1,green=1
*y004 green=1,red=4  ,                green=1,black=1,green=1,black=1,green=1
*y005 green=1,red=1  ,black=1,red=2  ,green=1,black=1,green=1,black=1,green=1
*y006 green=1,red=3  ,black=1,        green=1,black=1,green=1,black=1,green=1
*y007 green=1,red=4  ,                green=1,black=1,green=1,black=1,green=1
*y008 green=1,red=1  ,black=1,red=2  ,green=1,black=1,green=1,black=1,green=1
*y009 green=1,red=2  ,black=1,        green=1,black=1,green=1,black=1
*y010 green=3,                                black=1,green=1,black=1
;
*t001 green=6
*t002 green=1,red=6  ,green=1
*t003 green=1,red=3  ,black=1,red=2  ,black=1,red  =1,green=1
*t004 green=1,red=1  ,black=1,red=6  ,green=1
*t005 green=1,red=4  ,black=1,red=2  ,black=1,green=1
*t006 black=1,green=8,black=1
*t007 green=1,black=8,green=1
*t008 black=1,green=8,black=1
*t009 black=8
*t010 green=6
;
